Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353996 - [RFE]:Deployment Plan: Create/Delete
Summary: [RFE]:Deployment Plan: Create/Delete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jason E. Rist
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks: 1353793 1380355
TreeView+ depends on / blocked
 
Reported: 2016-07-08 16:18 UTC by Loic Avenel
Modified: 2016-12-14 15:43 UTC (History)
12 users (show)

Fixed In Version: openstack-tripleo-ui-1.0.3-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1380355 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:43:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Loic Avenel 2016-07-08 16:18:40 UTC
User should be able to by clicking on ManagePlans link to:
Create a new deployment plan by providing:
    - Deployemnt Plan Name
    - Browse to Heat Templates and Environment Configuration Files
Update and existing Deployment Plan: 
    - Replace Templates in existing Plan by browsing to new folders or files
    - Change Deployment Plan Name
Delete existing Deployment Plan

Plan created are visible in a list in a specific windows

Comment 3 Jason E. Rist 2016-09-29 11:44:28 UTC
Removed "Update" and cloned to #1380355 since Update is not properly designed and not properly working.

Comment 4 Dougal Matthews 2016-10-05 14:02:34 UTC
Create and Delete are already possible. There is a create workflow and a delete action.

Comment 7 Udi 2016-11-08 10:12:21 UTC
Verified. 

Note that the functionality to change templates in an existing plan is not implemented yet, and that's tracked in bug https://bugzilla.redhat.com/show_bug.cgi?id=1380355. Pay attention to this point when doing the documentation.

Comment 9 errata-xmlrpc 2016-12-14 15:43:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.